/* =============================== */
/* SLIDER HOME                    */
/* =============================== */

.slider {
  height: 100vh;
  position: relative;
  overflow: hidden;
}

.slides {
  height: 100%;
  position: relative;
}

.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  opacity: 0;
  transform: scale(1.03);
  transition:
    opacity 1.6s ease,
    transform 2.4s ease;
}

.slide::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.35);
  opacity: 0;
  transition: opacity 1.4s ease;
}

.slide.active {
  opacity: 1;
  transform: scale(1);
  z-index: 2;
}

.slide.active::after {
  opacity: 1;
}

.slide.out {
  opacity: 0;
  transform: scale(1.02);
  z-index: 1;
}

/* CONTENIDO */

.slide-content {
      position: absolute;
    bottom: 20%;
    left: calc(50% - 325px);
    color: white;
    max-width: 650px;
    opacity: 0;
    transform: translateY(25px);
    transition: all 1s ease 0.3s;
    z-index: 3;
    text-align: center;
}

.slide.active .slide-content {
  opacity: 1;
  transform: translateY(0);
}

.slide-content h1 {
  font-size: 64px;
  margin-bottom: 15px;
  font-weight: 600;
  line-height: 1.1;
}

.slide-content p {
  font-size: 26px;
  font-weight: 300;
  margin-bottom: 25px;
  line-height: 1.4;
}

.slide-content p.destacado {
  font-size: 18px;
  font-weight: bold;
  padding: 10px;
  border-radius: 50px;
  border: 1px solid white;
  text-align: center;
  max-width: 500px;
  margin: 20px auto;
}

/* BOTÓN */

.slider-btn {
  background: var(--naranja-claro);
  color: white;
  padding: 12px 32px;
  border-radius: 40px;
  text-decoration: none;
  font-size: 18px;
  transition: all 0.3s ease;
  display: inline-block;
}

.slider-btn:hover {
  background: var(--azul-oscuro);
  color: white;
}

/* FLECHAS */

.slider-arrows {
  position: absolute;
  bottom: 20px;
  left: 46%;
  display: flex;
  gap: 20px;
  z-index: 10;
}

.slider-arrows button {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  border: none;
  background: transparent;
  color: var(--white);
  font-size: 20px;
  cursor: pointer;
  transition: all 0.3s ease;
  border: 1px solid transparent;
}

.slider-arrows button:hover {
  background: transparent;
  border: 1px solid white;
}

/* RESPONSIVE */

@media (max-width: 991.98px) {

  .slide-content {
    left: 10%;
    top: 30%;
    max-width: 300px;
    text-align: center;
    right: 10%;
  }

  .slider {
    height: 100vh;
  }

  .slide-content p.destacado {
    font-size: 12px;
  }

  .slide-content h1 {
    font-size: 32px;
  }

  .slide-content p {
    font-size: 18px;
  }

  .slider-arrows {
    left:8%;
  }
}